MLAPI API Reference

# CryptographyHelper
Decrypt Method

[This is preliminary documentation and is subject to change.]

Decrypts a message with AES with a given key and a salt that is encoded as the first 16 bytes of the buffer

Namespace: MLAPI.NetworkingManagerComponents.Cryptography
Assembly: MLAPI (in MLAPI.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
Copy

    public static byte[] Decrypt(
    	byte[] encryptedBuffer,
    	byte[] key
    )

Request Example
View Source

#### Parameters

encryptedBuffer
  Type:
  System
  Byte
  The buffer with the salt
key
  Type:
  System
  Byte
  The key to use

#### Return Value

Type:
Byte
The decrypted byte array
See Also

#### Reference

CryptographyHelper Class
MLAPI.NetworkingManagerComponents.Cryptography Namespace